Ask Your Question
0

What is the Ubuntu 16.10 support status?

asked 2016-10-14 10:05:35 -0600

huatiger gravatar image

updated 2016-10-15 06:12:12 -0600

gvdhoorn gravatar image

I am using ROS Kinetic. When will Ubuntu 16.10 (released 13 Oct 2016) support be available? Is there a "work-around" for now? Thank you very much for ros!


Edit: Installing from software failed with unresolvable dependencies:

john@MrSkunk:ros_catkin_ws$ rosdep install --from-paths src --ignore-src --rosdistro kinetic -y
ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
rosconsole: No definition of [boost] for OS version [yakkety]
camera_info_manager: No definition of [boost] for OS version [yakkety]
pcl_conversions: No definition of [libpcl-all-dev] for OS version [yakkety]
...
...

For example is there a fix for boost? Thanks again

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2016-10-15 06:18:35 -0600

gvdhoorn gravatar image

updated 2016-10-15 06:32:27 -0600

Installing from software failed with unresolvable dependencies

As yakkety is not a supported OS at this point, rosdep will not be able to resolve any dependencies for it.

I cannot guarantee this will work, but you could try to see whether overriding the os detection lets you continue the build. In a terminal:

export ROS_OS_OVERRIDE=ubuntu:16.04

See wiki/ROS/EnvironmentVariables - ROS_OS_OVERRIDE for more info.

Then start rosdep as:

rosdep install --from-paths src --ignore-src --rosdistro kinetic --os=ubuntu:16.04

This will only work if Yakkety uses the same package names as Xenial, and if those packages also install the same / similar enough files.

note: faking / circumventing OS detection like this is not something that I'd normally recommend. Please understand what you are doing before attempting this.

edit flag offensive delete link more
0

answered 2016-10-14 13:33:10 -0600

Mani gravatar image

updated 2016-10-14 13:33:39 -0600

According to ROS REP-3, ROS Kinetic Kame will not be available on Ubuntu 16.10 as a binary. You can try to install ROS from source. I guess support for Ubuntu 16.10 will be added to the next release of ROS (Lunar)

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

3 followers

Stats

Asked: 2016-10-14 10:05:35 -0600

Seen: 1,739 times

Last updated: Oct 15 '16